require "optparse"
require "pathname"

require "splot/version"

module Splot
  autoload :Command,           "splot/command"
  autoload :Config,            "splot/config"
  autoload :CorrespondingFile, "splot/corresponding_file"
  autoload :Runner,            "splot/runner"

  RunnerNotFoundError = Class.new StandardError

  def self.command(params = {})
    new_file = CorrespondingFile.fetch params[:file]
    unless new_file == params[:file]
      params[:file] = new_file
      params.delete(:line)
    end
    params.update Config.read_config params.delete(:config_file)
    Command.for(params[:file]).new(params).command
  end

end
